hpp-corbaserver: DifferentiableFunction Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
DifferentiableFunction Class Reference

`#include <hpp/constraints_idl/constraints-idl.hh>`

Inheritance diagram for DifferentiableFunction:
[legend]
Collaboration diagram for DifferentiableFunction:
[legend]

## Public Types
typedef DifferentiableFunction_ptr | _ptr_type
typedef DifferentiableFunction_var | _var_type

## Public Member Functions
virtual | ~DifferentiableFunction ()
inline ::hpp::constraints_idl::DifferentiableFunction_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef DifferentiableFunction_ptr DifferentiableFunction::_ptr_type

## ◆ _var_type

typedef DifferentiableFunction_var DifferentiableFunction::_var_type

## Constructor & Destructor Documentation

## ◆ ~DifferentiableFunction()

virtual DifferentiableFunction::~DifferentiableFunction | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type DifferentiableFunction::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type DifferentiableFunction::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

_CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE constraints_idl _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE_END void DifferentiableFunction::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type DifferentiableFunction::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type DifferentiableFunction::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::constraints_idl::DifferentiableFunction_ptr DifferentiableFunction::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type DifferentiableFunction::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type DifferentiableFunction::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* DifferentiableFunction::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/constraints_idl/constraints-idl.hh